Unit tzf10e_p;
interface
uses
SysUtils, Math, LStruct, Lfunc, UtRes_p, FZF10D_p, ZF10E_p;

function tzf10e: String; 

implementation

function tzf10e: String;
var
NDIG,ITMAX,IERR :Integer;
EPS,A,B,ROOT :Extended;
begin
Result := '';
EPS := 1.e-5;
NDIG := 6;
A := -3.3e0;
B := 4.6e0;
ITMAX := 20;
ZF10E(FZF10D,A,B,EPS,NDIG,ITMAX,ROOT,IERR);
Result := Result + Format(' %20.16f %20.16f %20.16f',[A,B,EPS]) + #$0D#$0A;
Result := Result + Format('%s',[' NDIG=']);
Result := Result + Format('%2d',[NDIG]) + #$0D#$0A;
Result := Result + Format('%s',[' ITMAX=']);
Result := Result + Format('%4d',[ITMAX]) + #$0D#$0A;
Result := Result + Format('%s',[' ' + #$0D#$0A + ' ']);
Result := Result + Format('%20.16f %5d ',[ROOT,IERR]) + #$0D#$0A;
UtRes('tzf10e',Result);  //    tzf10e.res
exit;
end;

end.
